function RtuToMqttUpdatePage()
{
	var SaveGlobalVariable = function(Row){RtuToMqttUpdatePage.prototype._SaveGlobalVariable_(Row);};
	var IsSaveGlobalVariable = function(){return RtuToMqttUpdatePage.prototype._IsSaveGlobalVariable_();};
	var ShowFirstPage = function(){RtuToMqttUpdatePage.prototype._ShowFirstPage_();};
	this.Initialization = function(){RtuToMqttUpdatePage.prototype._Initialization_();};
}










function RtuToMqttFirstPage()
{
  //工具列
  var UpdateTableToolbar = function(ObjectKey, DisplayNumber){RtuToMqttFirstPage.prototype._UpdateTableToolbar_(ObjectKey, DisplayNumber);};
  this.ShowPreviousPage  = function(){RtuToMqttFirstPage.prototype._ShowPreviousPage_();};
  this.ShowNextPage      = function(){RtuToMqttFirstPage.prototype._ShowNextPage_();};
  //表格
  var ShowTable          = function(ObjectKey, DisplayNumber){RtuToMqttFirstPage.prototype._ShowTable_(ObjectKey, DisplayNumber);};
  //介面
  this.RedisplayUi       = function(){RtuToMqttFirstPage.prototype._RedisplayUi_();};
  //取值
  var GetAllDeviceName   = function(){return RtuToMqttFirstPage.prototype._GetAllDeviceName_();};
  var GetAllNumber = function(){return RtuToMqttFirstPage.prototype._GetAllNumber_();};
  var GetAllModuleData = function(){return RtuToMqttFirstPage.prototype._GetAllModuleData_();};
  //判斷
  var IsAllTransformMqtt = function(){return RtuToMqttFirstPage.prototype._IsAllTransformMqtt_();};
  //初始化
  this.Initialization = function(){RtuToMqttFirstPage.prototype._Initialization_();};
  var InitialRtuToMqttSettingObject = function(number){RtuToMqttFirstPage.prototype._InitialRtuToMqttSettingObject_(number);};
  //傳輸
  var TransmissionJson = function(ssocket, Command, JsonString, Callback){RtuToMqttFirstPage.prototype._TransmissionJson_(ssocket, Command, JsonString, Callback);};
  var SaveFinished = function(that, ssocket){RtuToMqttFirstPage.prototype._SaveFinished_(that, ssocket);};
  var SaveStart = function(that, ssocket){RtuToMqttFirstPage.prototype._SaveStart_(that, ssocket);};
  //按鈕
  this.EditButton = function(that){RtuToMqttFirstPage.prototype._EditButton_(that);};
  this.SaveButton = function(that){RtuToMqttFirstPage.prototype._SaveButton_(that);};
  //交集，差集
  var ArrayInteraction= function(FirstArray, SecondArray){return RtuToMqttFirstPage.prototype._ArrayInteraction_(FirstArray, SecondArray);};
  var ArrayComplement = function(FirstArray, SecondArray){return RtuToMqttFirstPage.prototype._ArrayComplement_(FirstArray, SecondArray);};
  //Checkbox
  this.ChangeCheckbox = function(that){RtuToMqttFirstPage.prototype._ChangeCheckbox_(that);};
  this.ChangeAllCheckbox = function(that){RtuToMqttFirstPage.prototype._ChangeAllCheckbox_(that);};
}










function RtuToMqttSecondPage()
{
  //變數表
  var VariableTableAddNewRow       = function(number){RtuToMqttSecondPage.prototype._VariableTableAddNewRow_(number);};
  var SetVariableTableNewRowValue  = function(number){RtuToMqttSecondPage.prototype._SetVariableTableNewRowValue_(number);};
  var SetVariableTableInitialValue = function(number){RtuToMqttSecondPage.prototype._SetVariableTableInitialValue_(number);};  
  //取值
  var GetModuleName = function(number){return RtuToMqttSecondPage.prototype._GetModuleName_(number);};
  var GetMqttConnection = function(){return RtuToMqttSecondPage.prototype._GetMqttConnection_();};
  //交集 差集
  var ArrayInteraction = function(FirstArray, SecondArray){return RtuToMqttSecondPage.prototype._ArrayInteraction_(FirstArray, SecondArray);};
  var ArrayComplement = function(FirstArray, SecondArray){return RtuToMqttSecondPage.prototype._ArrayComplement_(FirstArray, SecondArray);};
  //介面
  var ClearTable = function(number){RtuToMqttSecondPage.prototype._ClearTable_(number);};
  this.ConfirmButton = function(that){RtuToMqttSecondPage.prototype._ConfirmButton_(that);};
  this.NoConfirmButton = function(){RtuToMqttSecondPage.prototype._NoConfirmButton_();};
  this.ShowColumn = function(){RtuToMqttSecondPage.prototype._ShowColumn_();};
  this.HideColumn = function(){RtuToMqttSecondPage.prototype._HideColumn_();};
  //全域變數 或 物件
  var ModifyRtuToMqttSettingObject= function(that){RtuToMqttSecondPage.prototype._ModifyRtuToMqttSettingObject_(that);};
  var ModifyRtuToMqttVariableObject= function(that){RtuToMqttSecondPage.prototype._ModifyRtuToMqttVariableObject_(that);};
  var SetFormInitialValue = function(number){RtuToMqttSecondPage.prototype._SetFormInitialValue_(number);};
  var SetInitialValue = function(number){RtuToMqttSecondPage.prototype._SetInitialValue_(number);};
  //對照
  var GetReadWriteType = function(string){return RtuToMqttSecondPage.prototype._GetReadWriteType_(string);};
  //Checkbox
  this.EnabledChangeAllCheckbox = function(that){RtuToMqttSecondPage.prototype._EnabledChangeAllCheckbox_(that);};
  this.RetainChangeAllCheckbox = function(that){RtuToMqttSecondPage.prototype._RetainChangeAllCheckbox_(that);};
  //MQTT連線
  var LoadBroker = function(number){RtuToMqttSecondPage.prototype._LoadBroker_(number);};
  var AddBrokerHtml = function(Table, RemoteNumber){RtuToMqttSecondPage.prototype._AddBrokerHtml_(Table, RemoteNumber);};
  var SetBrokerName = function(Table, RemoteNumber){RtuToMqttSecondPage.prototype._SetBrokerName_(Table, RemoteNumber);};
  var SetLocalBrokerName = function(Table, RemoteNumber){RtuToMqttSecondPage.prototype._SetLocalBrokerName_(Table, RemoteNumber);};
  var SetRemoteBrokerName = function(Table, RemoteNumber){RtuToMqttSecondPage.prototype._SetRemoteBrokerName_(Table, RemoteNumber);};
  //檢查
  this.CheckScanRate = function(that){RtuToMqttSecondPage.prototype._CheckScanRate_(that);};
  this.CheckDeadBand = function(that){RtuToMqttSecondPage.prototype._CheckDeadBand_(that);};
  this.CheckMqttConnection = function(that){RtuToMqttSecondPage.prototype._CheckMqttConnection_(that);};
  this.CheckTopic = function(that){RtuToMqttSecondPage.prototype._CheckTopic_(that);};
}